Acknowledge receipt of a new permit - Fabric
Acknowledge receipt of a new permit
cURL
curl --request PUT \
--url https://marketplace-api.fabric.inc/v1/retailers/{retailer_pk}/permits/{id}/acknowledge/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '\n{
"variant": {
"name": "Var45",
"identifier": "123-DEF12345",
"upc": 555555555202,
"retailer_identifiers": [\
{\
"identifier": "SKU976",\
"name": "Retailer Sample"\
}\
]
},
"connection": {
"connection_fee": {
"payment_model": "managed",
"payment_terms": "net60",
"net_price_method": "permit_cost",
"revshare_fraction": "0.4000",
"revc_fee_flat": "0.00",
"revc_fee_fraction": "0.0300",
"brand_fee_flat": "0.00",
"brand_flat_order_fee": "0.00",
"brand_percent_order_fee": "0.0000"
}
},
"retailer_price": "12.99",
"retailer_cost": "8.99",
"pricing": {},
"attributes": {},
"start_at": "2021-07-10T15:24:56Z",
"end_at": "2022-11-10T15:24:56Z",
"revoked_at": "2022-08-10T15:24:56Z",
"acknowledged_at": "2022-08-10T15:24:56Z"
}
'
Python Code
import requests
url = "https://marketplace-api.fabric.inc/v1/retailers/{retailer_pk}/permits/{id}/acknowledge/"
payload = {
"variant": {
"name": "Var45",
"identifier": "123-DEF12345",
"upc": 555555555202,
"retailer_identifiers": [\
{\
"identifier": "SKU976",\
"name": "Retailer Sample"\
}\
]
},
"connection": {
"connection_fee": {
"payment_model": "managed",
"payment_terms": "net60",
"net_price_method": "permit_cost",
"revshare_fraction": "0.4000",
"revc_fee_flat": "0.00",
"revc_fee_fraction": "0.0300",
"brand_fee_flat": "0.00",
"brand_flat_order_fee": "0.00",
"brand_percent_order_fee": "0.0000"
}
},
"retailer_price": "12.99",
"retailer_cost": "8.99",
"pricing": {},
"attributes": {},
"start_at": "2021-07-10T15:24:56Z",
"end_at": "2022-11-10T15:24:56Z",
"revoked_at": "2022-08-10T15:24:56Z",
"acknowledged_at": "2022-08-10T15:24:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
JavaScript Code
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
variant: {
name: 'Var45',
identifier: '123-DEF12345',
upc: 555555555202,
retailer_identifiers: [{identifier: 'SKU976', name: 'Retailer Sample'}]
},
connection: {
connection_fee: {
payment_model: 'managed',
payment_terms: 'net60',
net_price_method: 'permit_cost',
revshare_fraction: '0.4000',
revc_fee_flat: '0.00',
revc_fee_fraction: '0.0300',
brand_fee_flat: '0.00',
brand_flat_order_fee: '0.00',
brand_percent_order_fee: '0.0000'
}
},
retailer_price: '12.99',
retailer_cost: '8.99',
pricing: {},
attributes: {},
start_at: '2021-07-10T15:24:56Z',
end_at: '2022-11-10T15:24:56Z',
revoked_at: '2022-08-10T15:24:56Z',
acknowledged_at: '2022-08-10T15:24:56Z'
})
};
fetch('https://marketplace-api.fabric.inc/v1/retailers/{retailer_pk}/permits/{id}/acknowledge/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Response Example
{
"id": 10004,
"retailer": {
"name": "Demo Retailer",
"code": "demo-retailer",
"id": 500,
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",
"joined_at": "2021-08-03T17:24:12Z",
"is_rcn_retailer": false,
"is_onboarded": false,
"platform": "fabric",
"requires_subscription": "disabled",
"brand_permit_creation_allowed": false,
"website": "https://demoabc.com",
"status": "active"
},
"variant": {
"id": 249,
"name": "Var45",
"brand": {
"code": "marla-store",
"id": 456,
"name": "Marla Store"
},
"identifier": "123-DEF12345",
"brand_identifier": "HATR",
"upc": 555555555202,
"retailer_identifiers": [
{
"id": 5642,
"retailer": {
"name": "Demo Retailer",
"code": "demo-retailer",
"id": 500,
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",
"joined_at": "2021-08-03T17:24:12Z",
"is_rcn_retailer": false,
"is_onboarded": false,
"platform": "fabric",
"requires_subscription": "disabled",
"brand_permit_creation_allowed": false,
"website": "https://demoabc.com",
"status": "active"
},
"identifier": "SKU976",
"name": "Retailer Sample"
}
]
},
"connection": {
"id": 1000,
"connection_fee": {
"id": 1000,
"payment_model": "managed",
"payment_terms": "net60",
"net_price_method": "permit_cost",
"revshare_fraction": "0.4000",
"revc_fee_flat": "0.00",
"revc_fee_fraction": "0.0300",
"brand_fee_flat": "0.00",
"brand_flat_order_fee": "0.00",
"brand_percent_order_fee": "0.0000",
"effective_at": "2015-10-10T00:00:00Z"
}
},
"retailer_price": "12.99",
"retailer_cost": "8.99",
"pricing": {},
"attributes": {},
"start_at": "2021-07-10T15:24:56Z",
"end_at": "2022-11-10T15:24:56Z",
"is_in_effect": true,
"revoked_at": "2022-08-10T15:24:56Z",
"is_acknowledged": true,
"acknowledged_at": "2022-08-10T15:24:56Z"
}